package com.prolog.cs.biz.inbound.dto;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 采购订单明细DTO
 * 
 * @author Xiong
 *
 */
public class BillLineDTO implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = 3395008237581176233L;
	private String itemid;
	private String itemcode;
	private String itemname;
	private BigDecimal itemQty;
	private String billid;

	public String getBillid() {
		return billid;
	}

	public void setBillid(String billid) {
		this.billid = billid;
	}

	public String getItemid() {
		return itemid;
	}

	public void setItemid(String itemid) {
		this.itemid = itemid;
	}

	public String getItemcode() {
		return itemcode;
	}

	public void setItemcode(String itemcode) {
		this.itemcode = itemcode;
	}

	public String getItemname() {
		return itemname;
	}

	public void setItemname(String itemname) {
		this.itemname = itemname;
	}

	public BigDecimal getItemQty() {
		return itemQty;
	}

	public void setItemQty(BigDecimal itemQty) {
		this.itemQty = itemQty;
	}

	private String BRANCHID;
	private String ITEM_HEALTH_CATEGORY;
	private String TYPE_NAME;
	private String allowDecimal;
	private String approvalNumber;
	private String asnAutoBillNum;
	private String asnHeaderId;
	private String asnLineId;
	private String asnLineRemark;
	private String barCode;
	private Date batchExpiredDate;
	private String batchId;
	private String batchNum;
	private Date batchProductionDate;
	private BigDecimal caseConversionRate;
	private String categoryCode;
	private String categoryId;
	private String categoryName;
	private String commonName;
	private BigDecimal conversionRate;
	private String countryOriginId;
	private BigDecimal freeQty;
	private BigDecimal inStoreDay;
	private String industry;
	private Integer isBacteria;
	private Integer isCaseOrPiece;
	private Integer isDelegate;
	private Integer isHosted;
	private Integer isInstrument;
	private Integer isLock;
	private Integer isRetrospect;
	private Integer isSupervise;
	private String itemAssistantCode;
	private String itemHealthCommonName;
	private Integer itemHealthIsDouble;
	private String itemHealthListedLicensor;
	private String itemHealthProduceLicense;
	private String itemHealthRegisterNbr;
	private String itemHealthStoreCategory;
	private String itemHealthStorenote;
	private Integer itemHealthTwovoteflag;
	private String itemId;
	private Integer itemIsImported;
	private Integer itemIsRecheck;
	private Integer itemIsSpecial;
	private String itemName;
	private String itemNum;
	private BigDecimal itemVolume;
	private BigDecimal itemWeight;
	private String itemZjm;
	private String managementExpiredDate;
	private String manufactureCode;
	private String manufacturer;
	private String manufacturerId;
	private String manufacturerLotNum;
	private String manufacturerName;
	private String mtlOwnerId;
	private BigDecimal oddCaseQty;
	private BigDecimal oddPieceQty;
	private String pieceBarCode;
	private BigDecimal pieceConversionRate;
	private BigDecimal piecePriceTe;
	private BigDecimal piecePriceTi;
	private BigDecimal pieceQty;
	private String poAuditOpinion;
	private BigDecimal preQty;
	private String productionPlace;
	private String qcMode;
	private String rcvRtReason;
	private BigDecimal receivedQty;
	private String recordNbr;
	private String registerNbr;
	private String registerNbrEn;
	private BigDecimal rejectQty;
	private BigDecimal remainShelfStockCount;
	private BigDecimal remainStackStockCount;
	private BigDecimal shelfLifeDays;
	private BigDecimal shelfLifeNum;
	private String shelfLifeUnit;
	private BigDecimal shelfStockCount;
	private String showExpiredDate;
	private String showProductionDate;
	private String specification;
	private BigDecimal stackStockCount;
	private String storeTemperature;
	private String tempControlScope;
	private String uom;
	private String warehouseId;

	private String warehouseName;
	private String mtlOwnerName;

	private boolean changeMatchFlag; // 货主转换是否匹配成功标识
	// 货位id
	@ApiModelProperty(value = "货位id")
	private String whLocatorId;
	// 货位编码
	@ApiModelProperty(value = "货位编码")
	private String whLocatorCode;
	// 库区编码
	@ApiModelProperty(value = "库区编码")
	private String whAreaCode;
	// 库别编码
	@ApiModelProperty(value = "库别编码")
	private String whAreaCategoryCode;
	// 来源明细id
	@ApiModelProperty(value = "来源明细id")
	private String refLineId;
	// 来源明细备注
	@ApiModelProperty(value = "来源明细备注")
	private String refLineRemark;
	// 额外字段1
	@ApiModelProperty(value = "来源明细额外字段1")
	private String refLineAttr1;
	// 额外字段2
	@ApiModelProperty(value = "来源明细额外字段2")
	private String refLineAttr2;

	@ApiModelProperty(value = "结论(0合格/1不合格/2待处理/3拒绝)")
	private String stockStatus;

	public String getStockStatus() {
		return stockStatus;
	}

	public void setStockStatus(String stockStatus) {
		this.stockStatus = stockStatus;
	}

	public String getWhLocatorId() {
		return whLocatorId;
	}

	public void setWhLocatorId(String whLocatorId) {
		this.whLocatorId = whLocatorId;
	}

	public String getWhLocatorCode() {
		return whLocatorCode;
	}

	public void setWhLocatorCode(String whLocatorCode) {
		this.whLocatorCode = whLocatorCode;
	}

	public String getWhAreaCode() {
		return whAreaCode;
	}

	public void setWhAreaCode(String whAreaCode) {
		this.whAreaCode = whAreaCode;
	}

	public String getWhAreaCategoryCode() {
		return whAreaCategoryCode;
	}

	public void setWhAreaCategoryCode(String whAreaCategoryCode) {
		this.whAreaCategoryCode = whAreaCategoryCode;
	}

	public String getRefLineId() {
		return refLineId;
	}

	public void setRefLineId(String refLineId) {
		this.refLineId = refLineId;
	}

	public String getRefLineRemark() {
		return refLineRemark;
	}

	public void setRefLineRemark(String refLineRemark) {
		this.refLineRemark = refLineRemark;
	}

	public String getRefLineAttr1() {
		return refLineAttr1;
	}

	public void setRefLineAttr1(String refLineAttr1) {
		this.refLineAttr1 = refLineAttr1;
	}

	public String getRefLineAttr2() {
		return refLineAttr2;
	}

	public void setRefLineAttr2(String refLineAttr2) {
		this.refLineAttr2 = refLineAttr2;
	}

	public boolean getChangeMatchFlag() {
		return changeMatchFlag;
	}

	public void setChangeMatchFlag(boolean changeMatchFlag) {
		this.changeMatchFlag = changeMatchFlag;
	}

	public String getWarehouseName() {
		return warehouseName;
	}

	public void setWarehouseName(String warehouseName) {
		this.warehouseName = warehouseName;
	}

	public String getMtlOwnerName() {
		return mtlOwnerName;
	}

	public void setMtlOwnerName(String mtlOwnerName) {
		this.mtlOwnerName = mtlOwnerName;
	}

	public String getBRANCHID() {
		return BRANCHID;
	}

	public void setBRANCHID(String bRANCHID) {
		BRANCHID = bRANCHID;
	}

	public String getITEM_HEALTH_CATEGORY() {
		return ITEM_HEALTH_CATEGORY;
	}

	public void setITEM_HEALTH_CATEGORY(String iTEM_HEALTH_CATEGORY) {
		ITEM_HEALTH_CATEGORY = iTEM_HEALTH_CATEGORY;
	}

	public String getTYPE_NAME() {
		return TYPE_NAME;
	}

	public void setTYPE_NAME(String tYPE_NAME) {
		TYPE_NAME = tYPE_NAME;
	}

	public String getAllowDecimal() {
		return allowDecimal;
	}

	public void setAllowDecimal(String allowDecimal) {
		this.allowDecimal = allowDecimal;
	}

	public String getApprovalNumber() {
		return approvalNumber;
	}

	public void setApprovalNumber(String approvalNumber) {
		this.approvalNumber = approvalNumber;
	}

	public String getAsnAutoBillNum() {
		return asnAutoBillNum;
	}

	public void setAsnAutoBillNum(String asnAutoBillNum) {
		this.asnAutoBillNum = asnAutoBillNum;
	}

	public String getAsnHeaderId() {
		return asnHeaderId;
	}

	public void setAsnHeaderId(String asnHeaderId) {
		this.asnHeaderId = asnHeaderId;
	}

	public String getAsnLineId() {
		return asnLineId;
	}

	public void setAsnLineId(String asnLineId) {
		this.asnLineId = asnLineId;
	}

	public String getAsnLineRemark() {
		return asnLineRemark;
	}

	public void setAsnLineRemark(String asnLineRemark) {
		this.asnLineRemark = asnLineRemark;
	}

	public String getBarCode() {
		return barCode;
	}

	public void setBarCode(String barCode) {
		this.barCode = barCode;
	}

	public Date getBatchExpiredDate() {
		return batchExpiredDate;
	}

	public void setBatchExpiredDate(Date batchExpiredDate) {
		this.batchExpiredDate = batchExpiredDate;
	}

	public String getBatchId() {
		return batchId;
	}

	public void setBatchId(String batchId) {
		this.batchId = batchId;
	}

	public String getBatchNum() {
		return batchNum;
	}

	public void setBatchNum(String batchNum) {
		this.batchNum = batchNum;
	}

	public Date getBatchProductionDate() {
		return batchProductionDate;
	}

	public void setBatchProductionDate(Date batchProductionDate) {
		this.batchProductionDate = batchProductionDate;
	}

	public BigDecimal getCaseConversionRate() {
		return caseConversionRate;
	}

	public void setCaseConversionRate(BigDecimal caseConversionRate) {
		this.caseConversionRate = caseConversionRate;
	}

	public String getCategoryCode() {
		return categoryCode;
	}

	public void setCategoryCode(String categoryCode) {
		this.categoryCode = categoryCode;
	}

	public String getCategoryId() {
		return categoryId;
	}

	public void setCategoryId(String categoryId) {
		this.categoryId = categoryId;
	}

	public String getCategoryName() {
		return categoryName;
	}

	public void setCategoryName(String categoryName) {
		this.categoryName = categoryName;
	}

	public String getCommonName() {
		return commonName;
	}

	public void setCommonName(String commonName) {
		this.commonName = commonName;
	}

	public BigDecimal getConversionRate() {
		return conversionRate;
	}

	public void setConversionRate(BigDecimal conversionRate) {
		this.conversionRate = conversionRate;
	}

	public String getCountryOriginId() {
		return countryOriginId;
	}

	public void setCountryOriginId(String countryOriginId) {
		this.countryOriginId = countryOriginId;
	}

	public BigDecimal getFreeQty() {
		return freeQty;
	}

	public void setFreeQty(BigDecimal freeQty) {
		this.freeQty = freeQty;
	}

	public BigDecimal getInStoreDay() {
		return inStoreDay;
	}

	public void setInStoreDay(BigDecimal inStoreDay) {
		this.inStoreDay = inStoreDay;
	}

	public String getIndustry() {
		return industry;
	}

	public void setIndustry(String industry) {
		this.industry = industry;
	}

	public Integer getIsBacteria() {
		return isBacteria;
	}

	public void setIsBacteria(Integer isBacteria) {
		this.isBacteria = isBacteria;
	}

	public Integer getIsCaseOrPiece() {
		return isCaseOrPiece;
	}

	public void setIsCaseOrPiece(Integer isCaseOrPiece) {
		this.isCaseOrPiece = isCaseOrPiece;
	}

	public Integer getIsDelegate() {
		return isDelegate;
	}

	public void setIsDelegate(Integer isDelegate) {
		this.isDelegate = isDelegate;
	}

	public Integer getIsHosted() {
		return isHosted;
	}

	public void setIsHosted(Integer isHosted) {
		this.isHosted = isHosted;
	}

	public Integer getIsInstrument() {
		return isInstrument;
	}

	public void setIsInstrument(Integer isInstrument) {
		this.isInstrument = isInstrument;
	}

	public Integer getIsLock() {
		return isLock;
	}

	public void setIsLock(Integer isLock) {
		this.isLock = isLock;
	}

	public Integer getIsRetrospect() {
		return isRetrospect;
	}

	public void setIsRetrospect(Integer isRetrospect) {
		this.isRetrospect = isRetrospect;
	}

	public Integer getIsSupervise() {
		return isSupervise;
	}

	public void setIsSupervise(Integer isSupervise) {
		this.isSupervise = isSupervise;
	}

	public String getItemAssistantCode() {
		return itemAssistantCode;
	}

	public void setItemAssistantCode(String itemAssistantCode) {
		this.itemAssistantCode = itemAssistantCode;
	}

	public String getItemHealthCommonName() {
		return itemHealthCommonName;
	}

	public void setItemHealthCommonName(String itemHealthCommonName) {
		this.itemHealthCommonName = itemHealthCommonName;
	}

	public Integer getItemHealthIsDouble() {
		return itemHealthIsDouble;
	}

	public void setItemHealthIsDouble(Integer itemHealthIsDouble) {
		this.itemHealthIsDouble = itemHealthIsDouble;
	}

	public String getItemHealthListedLicensor() {
		return itemHealthListedLicensor;
	}

	public void setItemHealthListedLicensor(String itemHealthListedLicensor) {
		this.itemHealthListedLicensor = itemHealthListedLicensor;
	}

	public String getItemHealthProduceLicense() {
		return itemHealthProduceLicense;
	}

	public void setItemHealthProduceLicense(String itemHealthProduceLicense) {
		this.itemHealthProduceLicense = itemHealthProduceLicense;
	}

	public String getItemHealthRegisterNbr() {
		return itemHealthRegisterNbr;
	}

	public void setItemHealthRegisterNbr(String itemHealthRegisterNbr) {
		this.itemHealthRegisterNbr = itemHealthRegisterNbr;
	}

	public String getItemHealthStoreCategory() {
		return itemHealthStoreCategory;
	}

	public void setItemHealthStoreCategory(String itemHealthStoreCategory) {
		this.itemHealthStoreCategory = itemHealthStoreCategory;
	}

	public String getItemHealthStorenote() {
		return itemHealthStorenote;
	}

	public void setItemHealthStorenote(String itemHealthStorenote) {
		this.itemHealthStorenote = itemHealthStorenote;
	}

	public Integer getItemHealthTwovoteflag() {
		return itemHealthTwovoteflag;
	}

	public void setItemHealthTwovoteflag(Integer itemHealthTwovoteflag) {
		this.itemHealthTwovoteflag = itemHealthTwovoteflag;
	}

	public String getItemId() {
		return itemId;
	}

	public void setItemId(String itemId) {
		this.itemId = itemId;
	}

	public Integer getItemIsImported() {
		return itemIsImported;
	}

	public void setItemIsImported(Integer itemIsImported) {
		this.itemIsImported = itemIsImported;
	}

	public Integer getItemIsRecheck() {
		return itemIsRecheck;
	}

	public void setItemIsRecheck(Integer itemIsRecheck) {
		this.itemIsRecheck = itemIsRecheck;
	}

	public Integer getItemIsSpecial() {
		return itemIsSpecial;
	}

	public void setItemIsSpecial(Integer itemIsSpecial) {
		this.itemIsSpecial = itemIsSpecial;
	}

	public String getItemName() {
		return itemName;
	}

	public void setItemName(String itemName) {
		this.itemName = itemName;
	}

	public String getItemNum() {
		return itemNum;
	}

	public void setItemNum(String itemNum) {
		this.itemNum = itemNum;
	}

	public BigDecimal getItemVolume() {
		return itemVolume;
	}

	public void setItemVolume(BigDecimal itemVolume) {
		this.itemVolume = itemVolume;
	}

	public BigDecimal getItemWeight() {
		return itemWeight;
	}

	public void setItemWeight(BigDecimal itemWeight) {
		this.itemWeight = itemWeight;
	}

	public String getItemZjm() {
		return itemZjm;
	}

	public void setItemZjm(String itemZjm) {
		this.itemZjm = itemZjm;
	}

	public String getManagementExpiredDate() {
		return managementExpiredDate;
	}

	public void setManagementExpiredDate(String managementExpiredDate) {
		this.managementExpiredDate = managementExpiredDate;
	}

	public String getManufactureCode() {
		return manufactureCode;
	}

	public void setManufactureCode(String manufactureCode) {
		this.manufactureCode = manufactureCode;
	}

	public String getManufacturer() {
		return manufacturer;
	}

	public void setManufacturer(String manufacturer) {
		this.manufacturer = manufacturer;
	}

	public String getManufacturerId() {
		return manufacturerId;
	}

	public void setManufacturerId(String manufacturerId) {
		this.manufacturerId = manufacturerId;
	}

	public String getManufacturerLotNum() {
		return manufacturerLotNum;
	}

	public void setManufacturerLotNum(String manufacturerLotNum) {
		this.manufacturerLotNum = manufacturerLotNum;
	}

	public String getManufacturerName() {
		return manufacturerName;
	}

	public void setManufacturerName(String manufacturerName) {
		this.manufacturerName = manufacturerName;
	}

	public String getMtlOwnerId() {
		return mtlOwnerId;
	}

	public void setMtlOwnerId(String mtlOwnerId) {
		this.mtlOwnerId = mtlOwnerId;
	}

	public BigDecimal getOddCaseQty() {
		return oddCaseQty;
	}

	public void setOddCaseQty(BigDecimal oddCaseQty) {
		this.oddCaseQty = oddCaseQty;
	}

	public BigDecimal getOddPieceQty() {
		return oddPieceQty;
	}

	public void setOddPieceQty(BigDecimal oddPieceQty) {
		this.oddPieceQty = oddPieceQty;
	}

	public String getPieceBarCode() {
		return pieceBarCode;
	}

	public void setPieceBarCode(String pieceBarCode) {
		this.pieceBarCode = pieceBarCode;
	}

	public BigDecimal getPieceConversionRate() {
		return pieceConversionRate;
	}

	public void setPieceConversionRate(BigDecimal pieceConversionRate) {
		this.pieceConversionRate = pieceConversionRate;
	}

	public BigDecimal getPiecePriceTe() {
		return piecePriceTe;
	}

	public void setPiecePriceTe(BigDecimal piecePriceTe) {
		this.piecePriceTe = piecePriceTe;
	}

	public BigDecimal getPiecePriceTi() {
		return piecePriceTi;
	}

	public void setPiecePriceTi(BigDecimal piecePriceTi) {
		this.piecePriceTi = piecePriceTi;
	}

	public BigDecimal getPieceQty() {
		return pieceQty;
	}

	public void setPieceQty(BigDecimal pieceQty) {
		this.pieceQty = pieceQty;
	}

	public String getPoAuditOpinion() {
		return poAuditOpinion;
	}

	public void setPoAuditOpinion(String poAuditOpinion) {
		this.poAuditOpinion = poAuditOpinion;
	}

	public BigDecimal getPreQty() {
		return preQty;
	}

	public void setPreQty(BigDecimal preQty) {
		this.preQty = preQty;
	}

	public String getProductionPlace() {
		return productionPlace;
	}

	public void setProductionPlace(String productionPlace) {
		this.productionPlace = productionPlace;
	}

	public String getQcMode() {
		return qcMode;
	}

	public void setQcMode(String qcMode) {
		this.qcMode = qcMode;
	}

	public String getRcvRtReason() {
		return rcvRtReason;
	}

	public void setRcvRtReason(String rcvRtReason) {
		this.rcvRtReason = rcvRtReason;
	}

	public BigDecimal getReceivedQty() {
		return receivedQty;
	}

	public void setReceivedQty(BigDecimal receivedQty) {
		this.receivedQty = receivedQty;
	}

	public String getRecordNbr() {
		return recordNbr;
	}

	public void setRecordNbr(String recordNbr) {
		this.recordNbr = recordNbr;
	}

	public String getRegisterNbr() {
		return registerNbr;
	}

	public void setRegisterNbr(String registerNbr) {
		this.registerNbr = registerNbr;
	}

	public String getRegisterNbrEn() {
		return registerNbrEn;
	}

	public void setRegisterNbrEn(String registerNbrEn) {
		this.registerNbrEn = registerNbrEn;
	}

	public BigDecimal getRejectQty() {
		return rejectQty;
	}

	public void setRejectQty(BigDecimal rejectQty) {
		this.rejectQty = rejectQty;
	}

	public BigDecimal getRemainShelfStockCount() {
		return remainShelfStockCount;
	}

	public void setRemainShelfStockCount(BigDecimal remainShelfStockCount) {
		this.remainShelfStockCount = remainShelfStockCount;
	}

	public BigDecimal getRemainStackStockCount() {
		return remainStackStockCount;
	}

	public void setRemainStackStockCount(BigDecimal remainStackStockCount) {
		this.remainStackStockCount = remainStackStockCount;
	}

	public BigDecimal getShelfLifeDays() {
		return shelfLifeDays;
	}

	public void setShelfLifeDays(BigDecimal shelfLifeDays) {
		this.shelfLifeDays = shelfLifeDays;
	}

	public BigDecimal getShelfLifeNum() {
		return shelfLifeNum;
	}

	public void setShelfLifeNum(BigDecimal shelfLifeNum) {
		this.shelfLifeNum = shelfLifeNum;
	}

	public String getShelfLifeUnit() {
		return shelfLifeUnit;
	}

	public void setShelfLifeUnit(String shelfLifeUnit) {
		this.shelfLifeUnit = shelfLifeUnit;
	}

	public BigDecimal getShelfStockCount() {
		return shelfStockCount;
	}

	public void setShelfStockCount(BigDecimal shelfStockCount) {
		this.shelfStockCount = shelfStockCount;
	}

	public String getShowExpiredDate() {
		return showExpiredDate;
	}

	public void setShowExpiredDate(String showExpiredDate) {
		this.showExpiredDate = showExpiredDate;
	}

	public String getShowProductionDate() {
		return showProductionDate;
	}

	public void setShowProductionDate(String showProductionDate) {
		this.showProductionDate = showProductionDate;
	}

	public String getSpecification() {
		return specification;
	}

	public void setSpecification(String specification) {
		this.specification = specification;
	}

	public BigDecimal getStackStockCount() {
		return stackStockCount;
	}

	public void setStackStockCount(BigDecimal stackStockCount) {
		this.stackStockCount = stackStockCount;
	}

	public String getStoreTemperature() {
		return storeTemperature;
	}

	public void setStoreTemperature(String storeTemperature) {
		this.storeTemperature = storeTemperature;
	}

	public String getTempControlScope() {
		return tempControlScope;
	}

	public void setTempControlScope(String tempControlScope) {
		this.tempControlScope = tempControlScope;
	}

	public String getUom() {
		return uom;
	}

	public void setUom(String uom) {
		this.uom = uom;
	}

	public String getWarehouseId() {
		return warehouseId;
	}

	public void setWarehouseId(String warehouseId) {
		this.warehouseId = warehouseId;
	}

}
